# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import masters.models.category
import masters.models.sub_category


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('category_name', models.CharField(max_length=100, unique=True)),
                ('category_picture', models.FileField(null=True, upload_to=masters.models.category.upload_category_picture)),
                ('category_thumb_picture', models.FileField(null=True, upload_to=masters.models.category.upload_category_picture)),
                ('tagline', models.CharField(max_length=200, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='category_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='category_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='category_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_category',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='MetaDataType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('metadata_type_name', models.CharField(max_length=100, unique=True)),
                ('is_single', models.BooleanField(default=False)),
                ('is_mandatory', models.BooleanField(default=False)),
                ('is_suggest_other', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='metadata_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='metadata_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='metadata_type_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_metadata_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='MetaDataTypeDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('metadata_type_name', models.CharField(max_length=100, unique=True)),
                ('metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataType')),
            ],
            options={
                'db_table': 'mst_metadata_type_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='PriceExtraService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=100)),
                ('is_price_type_applicable', models.BooleanField(default=False)),
                ('heading_1', models.CharField(max_length=100, null=True)),
                ('heading_1_master_name', models.CharField(max_length=100, null=True)),
                ('heading_2', models.CharField(max_length=100, null=True)),
                ('heading_2_master_name', models.CharField(max_length=100, null=True)),
                ('help', models.CharField(max_length=1000, null=True)),
            ],
            options={
                'db_table': 'mst_price_extra_service',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('sub_category_name', models.CharField(max_length=100)),
                ('sub_category_picture', models.FileField(null=True, upload_to=masters.models.sub_category.upload_sub_category_picture)),
                ('sub_category_thumb_picture', models.FileField(null=True, upload_to=masters.models.sub_category.upload_sub_category_picture)),
                ('tagline', models.CharField(max_length=200, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.Category')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_sub_category',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SubCategoryMetaDataType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('is_single', models.BooleanField(null=True)),
                ('is_mandatory', models.BooleanField(null=True)),
                ('min_value', models.IntegerField(null=True)),
                ('max_value', models.IntegerField(null=True)),
                ('is_suggest_other', models.BooleanField(null=True)),
                ('is_allowed_on_request', models.BooleanField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_metadata_type_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_metadata_type_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataType')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_metadata_type_modified_by', to=settings.AUTH_USER_MODEL)),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_sub_category_metadata_type',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SubCategoryPriceScope',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('price_scope_name', models.CharField(max_length=100, unique=True)),
                ('is_heading_visible', models.BooleanField(default=False)),
                ('price_scope_control_type_id', models.IntegerField()),
                ('watermark', models.CharField(max_length=100, null=True)),
                ('default_value', models.CharField(max_length=100, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_price_scope_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_price_scope_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='sub_category_price_scope_modified_by', to=settings.AUTH_USER_MODEL)),
                ('sub_category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategory')),
            ],
            options={
                'db_table': 'mst_sub_category_price_scope',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SubCategoryPriceScopeDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('value', models.CharField(max_length=200)),
                ('sub_category_price_scope', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScope')),
            ],
            options={
                'db_table': 'mst_sub_category_price_scope_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SubCategoryMetaDataTypeDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('metadata_type_dtl', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.MetaDataTypeDetails')),
                ('sub_category_metadata_type', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryMetaDataType')),
            ],
            options={
                'db_table': 'mst_sub_category_metadata_type_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='ServiceDelivery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('seq_no', models.IntegerField()),
                ('service_delivery_name', models.CharField(max_length=100, unique=True)),
                ('service_delivery_value', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='service_delivery_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='service_delivery_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='service_delivery_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'mst_service_delivery',
                'default_permissions': (),
            },
        ),
    ]
